<?php
namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\CNC\Query;

class BandeiraFactory {
    protected $queries;
    protected $connection;

    public function __construct(EntityManager $entityManager, Query\Query $queries) {
        $this->connection = $entityManager->getConnection();
        $this->queries = $queries;
    }

    public function getFlags($row){
        $sql = $this->queries::GET_FLAGS;
        $std = $this->connection->prepare($sql);
        $std->execute($row);
        return $std->fetchAll();
    }
    
    public function loadFlagByname($params){
        $sql = $this->queries::LOAD_FLAG_BY_NAME;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

}
